Package org.apache.wiki.htmltowiki.syntax

## Class PlainTextDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.PlainTextDecorator

    public class PlainTextDecorator
    extends java.lang.Object

Translates to wiki syntax from a plain text. Specifically, this decorator handles the following conversions, when needed:

- Bold elements
- Italic elements
- Monospace elements
- Css classes
- Css styles

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`
`protected PlainTextCssDecorator` `ptcd`

### Constructor Summary

Constructors
`PlainTextDecorator​(PlainTextCssDecorator ptcd, java.io.PrintWriter out, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)` Translates the given XHTML element into wiki markup.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### chain

    protected final XHtmlElementToWikiTranslator chain

#### ptcd

    protected final PlainTextCssDecorator ptcd

### Constructor Detail

#### PlainTextDecorator

    public PlainTextDecorator​(PlainTextCssDecorator ptcd,
                              java.io.PrintWriter out,
                              XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`